QGIS Application - Bug report #11255
Composer does not update the paper size in QGIS Master
2014-09-23 02:58 AM - Pedro Venancio

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19555
Description

Composer in QGIS Master does not update the paper size when opening a saved template.

To reproduce:
1. Create a new print composer (A4 by default);
2. Open a saved template with different format (A3, A2, ...);

3. The paper size remains at A4.

Tested both on Windows and Linux.

History

#1 - 2014-09-29 10:59 PM - ramon .

Probably related at some level to #11292

#2 - 2014-09-30 01:14 AM - Nyall Dawson
- Status changed from Open to Feedback

are you able to confirm the steps

you do to make the new composition from a template? Specifically, are
you creating a blank composition and using the "Add items from
template” command, or using the composer manager to create new

composition based off a template?

#3 - 2014-09-30 01:38 AM - Pedro Venancio
- File composer_2_5.jpg added

Hi Nyall,

The first one. | make "New print composer" and then "Add items from template".

| tested right now with QGIS 2.5.0-86 on windows and the result is in the image attached.
#4 - 2014-09-30 01:59 AM - Pedro Venancio

Ok, this is not a bug, but a change in functioning in version 2.6. Yet, | think icons do not seem very explicit. "New from template" icon is the same of "New
composer". And "Add items from template" has the same icon that in previous versions were used to "Open" previously saved templates. So, it seems to
me that should change the icons in any way.

#5 - 2014-10-01 02:44 AM - Nyall Dawson
- Resolution set to invalid
- Status changed from Feedback to Closed

Closing, as it's new intended behaviour. We'll tackle the icon discussion via the Ul list.
